Debian Bug report logs - #594183
can't build kernel modules

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: David Moles <molesd@rocketmail.com>

Date: Tue, 24 Aug 2010 12:03:02 UTC

Severity: normal

Found in version freebsd-buildutils/8.1-1

Fixed in version freebsd-buildutils/8.2-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, molesd@rocketmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594183; Package freebsd-buildutils. (Tue, 24 Aug 2010 12:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Moles <molesd@rocketmail.com>:
New Bug report received and forwarded. Copy sent to molesd@rocketmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 24 Aug 2010 12:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Moles <molesd@rocketmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: can't build kernel modules
Date: Sun, 22 Aug 2010 21:59:52 -0400
[Message part 1 (text/plain, inline)]
Package: freebsd-buildutils
Version: 8.1-1
Severity: normal

Hi there

I was trying to build cuse4bsd and freebsd-make gives this critical error:

cd: 1: can't cd to /usr/src/sys/x86_64/include

Kernel sources are in /usr/src/sys, but freebsd-make is looking at the wrong directory. the directory for amd64 headers is /usr/src/sys/amd64/include. I had a look at the included makefiles, and it seems the problem originates with ${MACHINE} variable which is x86_64 instead of amd64.

cuse4bsd has other problems, which I'm workng on, but you can reproduce this with attached makefile.

Cheers

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-buildutils depends on:
ii  bsdmainutils                8.0.13       collection of more utilities from 
ii  libbsd0                     0.2.0-1      utility functions from BSD systems
ii  libc0.1                     2.11.2-2     Embedded GNU C Library: Shared lib
ii  make                        3.81-8       An utility for Directing compilati
ii  original-awk                2010-05-23-1 The original awk described in "The
ii  patchutils                  0.3.1-2      Utilities to work with patches
ii  unzip                       6.0-4        De-archiver for .zip files

freebsd-buildutils recommends no packages.

freebsd-buildutils suggests no packages.

-- no debconf information
[Makefile (text/plain, attachment)]

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 02:51:07 GMT) Full text and rfc822 format available.

Notification sent to David Moles <molesd@rocketmail.com>:
Bug acknowledged by developer. (Tue, 31 May 2011 02:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 594183-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 594183-close@bugs.debian.org
Subject: Bug#594183: fixed in freebsd-buildutils 8.2-1
Date: Tue, 31 May 2011 02:47:13 +0000
Source: freebsd-buildutils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-1.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.debian.tar.gz
freebsd-buildutils_8.2-1.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.dsc
freebsd-buildutils_8.2-1_amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1_amd64.deb
freebsd-buildutils_8.2.orig.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594183@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 04:20:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 493841 493898 594183 602768
Changes: 
 freebsd-buildutils (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
     systems.  (Closes: #594183, #602768)
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
   * Use -C option for pmake instead of manually changing dir.
   * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
     and use it as pmake instead of using it from the pmake package.
   * Switch to debhelper compatibility level 7.
     - Use dh_prep instead of “dh_clean -k”.
   * Only use MACHINE_ARCH in freebsd-make if it's defined.
   * Add support for Multi-Arch directories to freebsd-make:
     - Do not switch LIBDIR yet, the dynamic linker does not have the
       correct paths for i386 based architectures.
     - Add builtin MACHINE_MULTIARCH make variable.
   * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
   * Line-wrap CFLAGS variable in debian/rules.
   * Install binaries directly to /usr/lib/freebsd instead of relocating them
     from /usr/bin and /usr/sbin.
   * Install the man pages. (Closes: #493898)
   * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
     remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
   * Intersperse Depends description comments between the actual dependencies.
   * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.
Checksums-Sha1: 
 418917fb3152c0384dbcf2973440a6ecf23e1523 1316 freebsd-buildutils_8.2-1.dsc
 c0824acfac1445e568d5a82cdf9ea206a861fc52 750699 freebsd-buildutils_8.2.orig.tar.gz
 3c8a23ae9c2528ebdc4b7b31e758f65a7b643125 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 ae546d9c2b75f3cc883d0f8bb91843fc881e7b07 528610 freebsd-buildutils_8.2-1_amd64.deb
Checksums-Sha256: 
 5bf65e2de9750224aa52e501df46be7aca56dfdfe5d7942afc7832fc57206b02 1316 freebsd-buildutils_8.2-1.dsc
 096819d3611b43526254a867da327fa5b2f53b9cb5085cc8e179654e28b87052 750699 freebsd-buildutils_8.2.orig.tar.gz
 bb718e7911de75167b2cff1a3710ea9efca8476a4efaee331eb19cb941aaf955 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 d857bd00f6c960fd9103a56bd571b88f1fec5cb8d98a35d0acb17dd1a6f119f3 528610 freebsd-buildutils_8.2-1_amd64.deb
Files: 
 63cb75a6c75ac4bc9a4a0eeac830d7c6 1316 devel extra freebsd-buildutils_8.2-1.dsc
 714fffaa2e4d168a5d66e080d17136e8 750699 devel extra freebsd-buildutils_8.2.orig.tar.gz
 24e54a2ebc5e1097be81b59ec83df213 31049 devel extra freebsd-buildutils_8.2-1.debian.tar.gz
 06e1603ccc392176ce17d1550f4c68ff 528610 devel extra freebsd-buildutils_8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3kUQsACgkQuW9ciZ2SjJsk7wCfZ/aRW2o6Tk3X6D5EPpjJpLBa
qM8AmwTOM5CC3wqq+igHQT3CSmgeGIZo
=PslZ
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions freebsd-buildutils/8.2-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 25 Jun 2011 18:39:05 GMT) Full text and rfc822 format available.

Added indication that bug 594183 blocks 613300 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 25 Jun 2011 18:39:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 25 Jun 2011 18:39:07 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 26 Jun 2011 16:06:03 GMT) Full text and rfc822 format available.

Notification sent to David Moles <molesd@rocketmail.com>:
Bug acknowledged by developer. (Sun, 26 Jun 2011 16:06:04 GMT) Full text and rfc822 format available.

Message #21 received at 594183-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 594183-close@bugs.debian.org
Subject: Bug#594183: fixed in freebsd-buildutils 8.2-2
Date: Sun, 26 Jun 2011 16:03:03 +0000
Source: freebsd-buildutils
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-2.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2.debian.tar.gz
freebsd-buildutils_8.2-2.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2.dsc
freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594183@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Jun 2011 17:47:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 594183 625261
Changes: 
 freebsd-buildutils (8.2-2) unstable; urgency=low
 .
   * 18_fix_sysdir.diff: Fix SYSDIR path to make kernel modules buildable.
     (Closes: #594183).
   * Switch to use the libbsd-overlay:
     - Bump libbsd-dev Build-Depends to (>= 0.3.0).
     - Add pkg-config to Build-Depends.
     - Remove some now obsolete porting code.
   * Disable FreeBSD/pc98 pre-7.0 compatibility on non-FreeBSD (fixes FTBFS on
     hurd-i386).
   * 19_fix_cmd_pathnames.diff: Fix pathnames for a number of commands.
     (Closes: #625261)
   * Add myself to Uploaders.
Checksums-Sha1: 
 e3229466ed37121ff0fcd9950b7ae5c654442736 1374 freebsd-buildutils_8.2-2.dsc
 0476ea4fd3c543834cc2ef17af29d1333d61d520 28948 freebsd-buildutils_8.2-2.debian.tar.gz
 1cb9a8fcf893bd179f790d4e61055eefd0f67273 498418 freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 4c7c032761b75004b3eb169ffde8794badc722886bb4407b18c35c3a47bd673e 1374 freebsd-buildutils_8.2-2.dsc
 a9638f89600267149bc4fcb86ee992fd6a6c949fe717d97779abd500d47ee7ca 28948 freebsd-buildutils_8.2-2.debian.tar.gz
 15ad04560023702713e2657327f17a14487055e0cca8f98a7f515e2bd4079321 498418 freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
Files: 
 38f287bdefdc0781c707e56712dc36f8 1374 devel extra freebsd-buildutils_8.2-2.dsc
 3c0a18644fa6c19e99acc38d8dcc8679 28948 devel extra freebsd-buildutils_8.2-2.debian.tar.gz
 6cbb1b7291740297a647a8d911c5843c 498418 devel extra freebsd-buildutils_8.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4HVRgACgkQC19io6rUCv9kigCcDHZY3weQLvP/gkH+3vO537Sm
XNwAmwT/mHqYZjuQ2ECkC1r0sCQn+Dx/
=9466
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jul 2011 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:36:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.